Bug 824425 - [BUG] if scheduler rolls back recipe its possible for repo to be generated.
[BUG] if scheduler rolls back recipe its possible for repo to be generated.
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
Depends On:
  Show dependency treegraph
Reported: 2012-05-23 08:45 EDT by Bill Peck
Modified: 2013-09-19 19:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-19 19:09:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-05-23 08:45:57 EDT
Description of problem:

In the scheduler code we create the test harness repo for each recipe at schedule time.  If the db rolls back we don't delete the repo we created and if the recipe is cancelled it won't bother deleting the repo since it doesn't think it should have one yet.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Nick Coghlan 2012-10-17 00:36:59 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Dan Callaghan 2013-09-19 19:09:55 EDT
As of Beaker 0.12 this is not really an issue. The task repo can be leaked if the schedule_queued_recipe transaction aborts (though this is unlikely, since the repo creation happens very late in the transaction for exactly this reason), but even if it is leaked, we abort the recipe in a subsequent transaction. And update_status will then clean up any extant repo when it sees the recipe is finished.

Note You need to log in before you can comment on or make changes to this bug.